Subject: Re: [Roll] Determining DADR Contributions

From: JP Vasseur <[email-masked]>
Date: Mon, 3 Aug 2009 09:28:10 +0200

Hi Ryu,

Thanks for your contribution. Sharing this kind of data is extremely  
valuable for the WG.
Just a short note to stress the fact that RPL is of course L2 agnostic  
since ROLL operates at L3.
Thus, there is no preference or attempt to optimize the routing  
protocol for a specific L2, which
would defeat one of the main reasons for using IP. On the other hand,  
capturing L2 characteristic(s)
as L3 routing protocol metric(s) is perfectly in the scope.

Thanks for your help, we are looking forward to having your data.

JP.

On Jul 30, 2009, at 11:21 PM, Ryusuke Masuoka wrote:

> Hi, ROLL WG members,
>
> In order to move ahead and for us to determine what we/DADR can
> contribute, we (Fujitsu) would like to do the following.
>
> At the ROLL meeting, we realized that many people are interested in
> 802.15.4 radio. Our current implementation is on 802.11b radio (1
> Mbps) and two wireless characteristics are different. We thought that
> many ROLL members could not determine how good DADR would be when it
> is applied to 802.15.4 radio. In that regard:
>
> (1) We will provide PER (packet error rate) and other wireless
>  characteristics for both 802.11b (which we already have) and 802.15.4
>  radios in a couple of weeks.
>
> (2) We will share our DADR 802.15.4 radio implementation experiment
>  results by the end of August or in early September.
>
>  It would be a rather small (50 nodes or so) and preliminary with
>  experiment assumptions, (average) hops, data reachability, etc.  (We
>  plan to do a larger experiments (in the order of hundreds of nodes),
>  but it will be somewhat later.)
>
>  As this is done as a part of system test for customer deployment, we
>  are not sure we can accommodate them all, but please let us know
>  what kinds of things/conditions/assumptions we should
>  incorporate/consider/make in this experiment. We would appreciate
>  your input very much.
>
> We also plan to see which LLN requirements DADR meets or not,  
> according
> to:
>
>  Overview of Existing Routing Protocols for Low Power and Lossy  
> Networks
>  draft-ietf-roll-protocols-survey-07
>
> so that we can better determine which parts of DADR are useful or not.
>
> We will try to be as fair as possible. However, if someone can
> volunteer to do this, that would be great as we can get a third-party
> evaluation, we would appreciate it very much and we will support the
> person/group with the information necessary. (... but I am afraid that
> everyone other than us is too busy for this.)
>
> Regards,
>
> Ryu
>
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll